Skip to main content
`Ctrl`+`K`

# numpy.char.split

char.split(a, sep=None, maxsplit=None)

  For each element in a, return a list of the words in the string, using sep as the delimiter string.

  Calls `str.split` element-wise.

  Parameters:
    a array-like, with `StringDType`, `bytes_`, or `str_` dtype
    sep str or unicode, optional

      If sep is not specified or None, any whitespace string is a separator.

    maxsplit int, optional

      If maxsplit is given, at most maxsplit splits are done.

  Returns:
    out ndarray

      Array of list objects

  See also

  `str.split`, `rsplit`

  Examples

      >>> import numpy as np
      >>> x = np.array("Numpy is nice!")
      >>> np.strings.split(x, " ")
      array(list(['Numpy', 'is', 'nice!']), dtype=object)

      >>> np.strings.split(x, " ", 1)
      array(list(['Numpy', 'is nice!']), dtype=object)